Managing native PHP on OS X server

Discussion in 'Mac OS X Server, Xserve, and Networking' started by cyberblood, Sep 18, 2017.

  1. cyberblood macrumors newbie

    cyberblood

    Joined:
    Aug 19, 2017
    #1
    Hi,

    I use OS X server for webserver and I'm having problems with PHP modules loaded etc.
    The PHP version coming with OS X Server doesn't have Mcrypt and many other modules I need.There is a big mess using Brew to add some, after upgrade the version are not compatible.
    There is an alternative using great distribution here, but I can't find the right way to configure php.ini

    My question is: what is the right approach recommended by Apple to add modules the native PHP version?

    P.S.I don't want to use MAMP, I want the built-in PHP.
     
  2. 960design macrumors 68030

    Joined:
    Apr 17, 2012
    Location:
    Destin, FL
    #2
  3. alien3dx macrumors 6502a

    alien3dx

    Joined:
    Feb 12, 2017
    #3
    maybe you can upgrade to high siera.. unsure what version php they will put.. i also don't like much MAMP but at first i think why just we don't compile all the .so library ? but reality i don't time to play around.
     
  4. 960design macrumors 68030

    Joined:
    Apr 17, 2012
    Location:
    Destin, FL
    #4
    If I remember correctly it was PHP 7.1
     
  5. alien3dx macrumors 6502a

    alien3dx

    Joined:
    Feb 12, 2017
    #5
    cool but kinda scary me .. all the messy upgrade..... ios 11 ( thinkering my apps why not work :( ).. ah just release the xcode 9 apple.. Really dam odd them.
     
  6. chrfr macrumors 604

    Joined:
    Jul 11, 2009
    #6
    Trying to override the integrated components in OS X Server is all but certain to cause you problems with some other component. I’d strongly consider using a different platform if you need specific server components upgraded.
     

Share This Page

5 September 18, 2017